{% extends 'Default/backend.html.twig' %}
{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('pdnd') }}
{% endblock %}
{% block main_content %}
<section id="intro" class="container px-4 mb-4">
  <div class="row">
    <div class="col-lg-12 px-lg-4 py-lg-2">
      <h2>{{ 'pdnd.title'|trans }}</h2>
    </div>
    <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
      <p>
        {{ 'pdnd.clients.list.help'|trans|raw }}<br>
        <a href="https://docs.pagopa.it/interoperabilita-1/manuale-operativo/guida-alladesione" target="_blank">{{ 'read_more'|trans }}</a>
      </p>
      <div class="row" id="pdnd-clients-container" data-url="{{ url }}" data-tenant-url="{{ absolute_url(path('instance_home')) }}" data-tenant-identifier="{{ tenant_identifier }}" data-default-pdnd-client-id="{{ default_pdnd_client_id }}">

      </div>
      <div class="col-12 mt-3">
        <a href="{{ path('admin_pdnd_clients_new') }}" class="btn btn-primary float-right">{{ 'pdnd.clients.list.new'|trans }}</a>
      </div>
    </div>
  </div>
</section>

  {% verbatim %}
    <script id="tpl-form" type="text/x-jsrender">
      <div class="col-12 col-lg-6">
        <!--start card-->
        <div class="card-wrapper card-space client" data-id="{{:id}}">
          <div class="card card-bg">
            <div class="card-body">
              <div class="top-icon">
                <button class="btn  btn-sm btn-link float-right default" data-toggle="popover" data-trigger="hover" type="button" data-title="{% endverbatim %}{{ 'pdnd.clients.list.card.set_default_tooltip_title'|trans }}{% verbatim %}" data-content="{% endverbatim %}{{ 'pdnd.clients.list.card.set_default_tooltip_text'|trans }}{% verbatim %}">
                  {{if is_default}}
                    <i class="fa fa-star fa-2x"></i>
                  {{else}}
                    <i class="fa fa-star-o fa-2x"></i>
                  {{/if}}
                </button>
              </div>
              <h5 class="card-title">{{:name}}</h5>
              <p class="card-text">
                  <strong>{% endverbatim %}{{ 'pdnd.clients.env.title'|trans }}{% verbatim %}: </strong>{{:env}}<br>
                  <strong>Id: </strong><code>{{:id}}</code>
              </p>
              <div class="it-card-footer">
                <a class="btn btn-outline-primary btn-sm" href="{{:tenant_url}}admin/ente/pdnd/clients/{{:id}}">{% endverbatim %}{{ 'pdnd.clients.list.card.edit'|trans }}{% verbatim %}</a>
                <button class="btn btn-sm btn-danger delete" type="button"><i class="fa fa-trash-o fa-lg"></i></button>
              </div>
            </div>
          </div>
        </div>
        <!--end card-->
      </div>
    </script>

    <script id="tpl-empty" type="text/x-jsrender">
      <div class="col-lg-12 alert alert-warning">{% endverbatim %}{{ 'pdnd.clients.list.no_clients'|trans }}{% verbatim %}</div>
    </script>
  {% endverbatim %}
{% endblock %}


